SystemOrganization addCategory: #ConfigurationOfEyeSee!

Object subclass: #ConfigurationOfEyeSee
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfEyeSee'!

!ConfigurationOfEyeSee commentStamp: 'TudorGirba 4/5/2011 22:00' prior: 0!
ConfigurationOfEyeSee loadDefault!

!ConfigurationOfEyeSee class methodsFor: 'private' stamp: 'TudorGirba 4/5/2011 21:57'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfEyeSee class methodsFor: 'metacello tool support' stamp: 'TudorGirba 4/5/2011 21:57'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfEyeSee class methodsFor: 'loading' stamp: 'TudorGirba 4/5/2011 21:57'!
loadDefault
	(self project version: 'default') load! !

!ConfigurationOfEyeSee class methodsFor: 'loading' stamp: 'TudorGirba 4/5/2011 21:57'!
loadLastStable
	self project latestVersion load! !

!ConfigurationOfEyeSee class methodsFor: 'loading' stamp: 'TudorGirba 4/5/2011 21:57'!
loadLastestVersion
	self default! !

!ConfigurationOfEyeSee class methodsFor: 'accessing' stamp: 'TudorGirba 4/5/2011 21:57'!
project

	^self new project! !

!ConfigurationOfEyeSee methodsFor: 'baselines' stamp: 'TudorGirba 4/14/2011 00:11'!
default: spec 
	<version: 'default'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/EyeSee'.
		spec 
 			package: 'EyeSee-Core';
			package: 'EyeSee-Events';
 			package: 'EyeSee-Axis';
			package: 'EyeSee-Tests-Core';
			package: 'EyeSee-Support'.
	
		spec group: 'Tests' with: #('EyeSee-Tests-Core') ]! !

!ConfigurationOfEyeSee methodsFor: 'symbolic versions' stamp: 'TudorGirba 4/5/2011 21:58'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: 'notDefined'.
! !

!ConfigurationOfEyeSee methodsFor: 'accessing' stamp: 'TudorGirba 4/5/2011 21:57'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfEyeSee methodsFor: 'symbolic versions' stamp: 'TudorGirba 4/5/2011 21:58'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: 'notDefined'.
! !
